/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Project;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface ProjectService {
	Map<Long,Project> listCompanyProjects(long companyId, boolean includeClosed) throws UmbrellaException;
	Map<Long,Project> listUserProjects(long userId, boolean includeClosed) throws UmbrellaException;
	Project load(long projectId);
	Collection<Project> loadMembers(Collection<Project> projects);

	default Project loadMembers(Project project){
		loadMembers(List.of(project));
		return project;
	}
}
